Loading...
Searching...
No Matches
websocketpp::transport::asio::basic_socket Namespace Reference

## Classes

class | connection
| Basic Asio connection socket component. More...
class | endpoint
| Basic ASIO endpoint socket component. More...

## Typedefs

typedef lib::function< void(connection_hdl, lib::asio::ip::tcp::socket &)> | socket_init_handler
| The signature of the socket init handler for this socket policy.

## Detailed Description

A socket policy for the asio transport that implements a plain, unencrypted socket

## Typedef Documentation

## socket_init_handler

typedef lib::function<void(connection_hdl,lib::asio::ip::tcp::socket&)> websocketpp::transport::asio::basic_socket::socket_init_handler

The signature of the socket init handler for this socket policy.

Definition at line 51 of file none.hpp.